Rents
For authentication instructions, see API overview.
Endpoints
Update rent payment
Update rent payment by setting the values of the parameters passed. Any parameters not set will be unchanged.
Path parameters
idstringID of the rent
Request
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/rents/payment/:idResponse
No response schemaUpdate rent payment
Update rent payment by setting the values of the parameters passed. Any parameters not set will be unchanged.
Path parameters
idstringID of the rent
termstringID of the term
Request
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/rents/payment/:id/:termResponse
No response schemaUpdate rent additional invoice
Update rent additional invoice by setting the values of the parameters passed. Any parameters not set will be unchanged.
Path parameters
idstringID of the rent
Request
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/rents/additionalinvoice/:idResponse
No response schemaRetrieve rent
Returns a single ren, which you can request by passing through an id in the url.
Path parameters
idstringID of the rent
Request
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/rents/tenant/:idResponse
No response schemaRetrieve get tenant
Returns a single get tenan, which you can request by passing through an id in the url.
Path parameters
idstringID of the rent
termstringID of the term
Request
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/rents/tenant/:id/:termResponse
No response schemaRetrieve get tenant rent by
Returns a single get tenant rent b, which you can request by passing through an id in the url.
Path parameters
idstringID of the rent
yearstringYear of the rent
monthstringMonth of the rent
daystringDay of the rent
Request
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/rents/tenant/:id/:year/:month/:dayResponse
No response schemaRetrieve get tenant rent by
Returns a single get tenant rent b, which you can request by passing through an id in the url.
Path parameters
idstringID of the rent
yearstringYear of the rent
monthstringMonth of the rent
Request
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/rents/tenant/:id/:year/:monthResponse
No response schemaRetrieve rent get by
Returns a single rent get b, which you can request by passing through an id in the url.
Path parameters
yearstringYear of the rent
monthstringMonth of the rent
daystringDay of the rent
Request
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/rents/:year/:month/:dayResponse
No response schemaRetrieve rent get by
Returns a single rent get b, which you can request by passing through an id in the url.
Path parameters
yearstringYear of the rent
monthstringMonth of the rent
Request
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/rents/:year/:month